Jump to content

Lisp: coordinates of points to excel sheet (+point number)


janwillem89

Recommended Posts

I added a save in a txt file, the definition of min Y to the code in # 52 (the first step, when we know of the selected polyline)

(defun C:TEST (/ *error* Spacing anglestep item polyline ss lst filPath
              pat cFile downshift)
 (vl-load-com)
 (defun *error* (msg)
   (princ msg)
   (vla-endundomark
     (vla-get-activedocument (vlax-get-acad-object))
   ) ;_ end of vla-endundomark
   (princ)
 ) ;_ end of defun
 (setq Spacing 0.01875) ;_Spacing" field I would type in 0.01875
 (setq Sheigth 0.05) ;_spefified height is .0500
 (or *ptcol:SEPARATE*
;;;SEPARATE COORDINATES FLAG
     (setq *ptcol:SEPARATE* "X")
 ) ;_ end of or
 (setvar "LUNITS" 2)
 (setvar "LUPREC" 4)
 (vla-startundomark
   (vla-get-activedocument (vlax-get-acad-object))
 ) ;_ end of vla-startundomark
 (while (> (getvar "CMDACTIVE") 0) (command))
 (sssetfirst nil nil)
;;; SELECT POLYLINE
 (if (setq ss (ssget "_:L" '((0 . "LWPOLYLINE"))))
   (progn
;;;Cycle for each polyline and get coordinames 
     (setq lst  nil
           item '-1
     ) ;_ end of setq
     (repeat (sslength ss)
       (setq
         lst (cons
               (mapcar 'cdr
                       (vl-remove-if-not
                         '(lambda (x) (= (car x) 10))
                         (entget (ssname ss (setq item (1+ item))))
                       ) ;_ end of vl-remove-if-not
               ) ;_polyline vertex
               lst
             ) ;_ end of cons
       ) ;_ end of setq
     ) ;_ end of repeat
;;;lst=list of lists polyline vertex
;;;get lowes Y coordinate
     (setq
       minY (apply
              'min
              (cadr (apply 'mapcar (cons 'list (apply 'append lst))))
            ) ;_ end of apply
     ) ;_ end of setq
[color="red"](setq downshift (- 0 (abs (- minY Sheigth))))[/color]
;;;Save to text file
     (setq filPath
            (getfiled "Save Coordinates to Text File"
                      "Coordinates.txt"
                      "txt"
                      17
            ) ;_ end of getfiled
     ) ;_ end of setq
     (if (or (not (findfile filPath))
             (and (findfile filPath)
                  (vl-file-systime filPath)
             ) ;_ end of and
         ) ;_ end of or
       (progn
         (setq cFile (open filPath "w"))
;;; Print "moved -X.XXXX moved"
         (princ "moved " cFile)
         (princ downshift cFile)
         (princ " moved\n" cFile)
;;; Write coordinate to file
         (setq
           lst (mapcar '(lambda (x)
                          (mapcar '(lambda (y) (mapcar 'rtos y)) x)
                        ) ;_ end of lambda
                       lst
               ) ;_ end of mapcar
         ) ;_ end of setq
         (mapcar
           '(lambda (poly)
              (foreach ln poly
                (write-line
                  (apply 'strcat
                         (append (list (car ln))
                                 (mapcar '(lambda (x) (strcat "," x))
                                         (cdr ln)
                                 ) ;_ end of mapcar
                         ) ;_ end of append
                  ) ;_ end of apply
                  cFile
                ) ;_ end of write-line
              ) ;_ end of foreach
            ) ;_ end of lambda
           (if (eq *ptcol:SEPARATE* "")
             lst
             (mapcar
               '(lambda (x) (append x (list (list *ptcol:SEPARATE*))))
               lst
             ) ;_ end of mapcar
           ) ;_ end of if
         ) ;_ end of mapcar
         (close cFile)
         (initget "Yes No")
         (setq oFlag (getkword "\nOpen text file? [Yes/No] <No> : "
                     ) ;_ end of getkword
         ) ;_ end of setq
         (if (= oFlag "Yes")
;;; (startapp "notepad.exe" filPath)
           (vva-xopen filPath)
         ) ;_ end of if
       ) ;_ end of progn
       (alert (strcat "Do not open" "\n" filPath))
     ) ;_ end of if
;;;move the polyline down
  [color="red"]   (command "_.MOVE" ss "" "_non"  (list 0 downshift 0) "")[/color]
;;;Scaled, Rotated and Hatched see post
;;; http://www.cadtutor.net/forum/showthread.php?31653-Lisp-coordinates-of-points-to-excel-sheet-(-point-number)&p=465372&viewfull=1#post465372
     (setq anglestep (/
                       (* 0.5 pi) ;_90 degree
                       (1- (sslength ss)) ;_number of selected polylines -1
                     ) ;_ end of /
     ) ;_ end of setq
;_1. Scale all geometry by 25.4 from the origin (0,0) to convert from inches to millimeters
     (command "_.SCALE" ss "" '(0. 0.) ;_origin (0,0)
              25.4 ;_ convert from inches to millimeters
) ;_ end of command
;_2. Rotate all shapes by -90 degrees from origin (0,0)
     (command "_.Rotate" "_p" "" '(0. 0.) ;_origin (0,0)
              "-90") ;_ end of command
     (while (> (getvar "CMDACTIVE") 0) (command))
     (setq item '-1)
     (repeat (sslength ss) ;_ cycle for each polyline
       (setq polyline (ssname ss (setq item (1+ item))))
       (entmakex-hatch
         (list
           (mapcar 'cdr
                   (vl-remove-if-not
                     '(lambda (x) (= (car x) 10))
                     (entget polyline)
                   ) ;_ end of vl-remove-if-not
           ) ;_polyline vertex
         ) ;_ end of list
         (* item anglestep) ;_angle in radians
         "_USER" ;_User Defined pattern
         Spacing ;_Spacing" field I would type in 0.01875
       ) ;_ end of entmakex-hatch
     ) ;_ end repeat
     (command "_.Zoom" "_O" ss "")
;_4. Once completed, if it is possible to delete the polylines and keep only the hatches, that would be awesome.
     (command "_.ERASE" ss "")
   ) ;_ end of progn
 ) ;_ end of if
 (vla-endundomark
   (vla-get-activedocument (vlax-get-acad-object))
 ) ;_ end of vla-endundomark
 (princ)
) ;_ end of defun
(princ "\nType TEST in command line")

(defun entmakex-hatch (L a n s)
 ;; By ElpanovEvgeniy
 ;; L - list of list point. like ((pt11 pt12 pt13)(pt21 pt22 pt23))
 ;; A - angle hatch
 ;; N - name pattern
 ;; S - scale
 ;; returne - hatch ename
 ;;USE
 ;|
(entmakex-hatch '(((538.794 584.563) (895.629 584.563) (895.629 997.377) (538.794 997.377))
                 ((386.809 345.13) (670.955 345.13) (670.955 855.369) (386.809 855.369))
                )
               (/ pi 2)
               "ANSI31"
               2.
) ;_  entmakex-hatch
(entmakex-hatch
(list
 (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget (car (entsel "\nSelect Polyline:")))))
) ;_  list
(/ pi 2)
"SOLID"
2.
)
(entmakex-hatch
(list
 (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget (car (entsel "\nSelect Polyline:")))))
) ;_  list
(/ pi 2)
"_USER" ;_User Defined
2.
)
(entmakex-hatch
(list
 (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget (car (entsel "\nSelect Polyline:")))))
) ;_  list
(/ pi 2)
"ANSI32"
2.
)
|;
 (entmakex
   (apply
     'append
     (list
       (list '(0 . "HATCH")
             '(100 . "AcDbEntity")
             '(410 . "Model")
             '(100 . "AcDbHatch")
             '(10 0.0 0.0 0.0)
             '(210 0.0 0.0 1.0)
             (cons 2 n)
             (if (= n "SOLID")
               '(70 . 1)
               '(70 . 0)
             ) ;_  if
             '(71 . 0)
             (cons 91 (length l))
       ) ;_  list
       (apply
         'append
         (mapcar '(lambda (a)
                    (apply 'append
                           (list (list '(92 . 7)
                                       '(72 . 0)
                                       '(73 . 1)
                                       (cons 93 (length a))
                                 ) ;_ end of list
                                 (mapcar '(lambda (b) (cons 10 b)) a)
                                 '((97 . 0))
                           ) ;_  list
                    ) ;_  apply
                  ) ;_  lambda
                 l
         ) ;_  mapcar
       ) ;_  apply
       (if (= n "SOLID")
         (list '(75 . 0) '(76 . 1) '(47 . 1.) '(98 . 2) '(10 0. 0. 0.0)
               '(10 0. 0. 0.0) '(450 . 0) '(451 . 0) '(460 . 0.0) '(461 . 0.0)
               '(452 . 0) '(462 . 0.0) '(453 . 2) '(463 . 0.0) '(63 . 256)
               '(463 . 1.0) '(63 . 256) '(470 . "LINEAR")) ;_ end of list
;_  list
         (list '(75 . 0)
               '(76 . 1)
               (cons 52 a)
               (cons 41 s)
               '(77 . 0)
               '(78 . 1)
               (cons 53 a)
               '(43 . 0.)
               '(44 . 0.)
               '(45 . 1.)
               '(46 . 1.)
               '(79 . 0)
               '(47 . 1.)
               '(98 . 2)
               '(10 0. 0. 0.0)
               '(10 0. 0. 0.0)
               '(470 . "LINEAR")
         ) ;_  list
       ) ;_ end of if
     ) ;_  list
   ) ;_  apply
 ) ;_  entmakex
) ;_  defun
(defun vva-xopen (name / di na sh)
 ;; get from Patrick_35
 ;; http://www.theswamp.org/index.php?topic=29548.0 
;;;Usage 
;;;(setq my_file (vva-xopen "c:/test.txt")) 
;;;(setq my_file (vva-xopen "c:/test.avi")) 
;;;(setq my_file (vva-xopen "c:/test.3gp")) 

 (and (setq name (findfile name))
      (setq sh (vlax-create-object "Shell.Application"))
      (setq di (vlax-invoke sh 'Namespace (vl-filename-directory name)))
      (setq na (vlax-invoke
                 di
                 'parsename
                 (strcat (vl-filename-base name)
                         (vl-filename-extension name)
                 ) ;_ end of strcat
               ) ;_ end of vlax-invoke
      ) ;_ end of setq
      (vlax-invoke-method na 'invokeverbex "open")
 ) ;_ end of and
 (vlax-release-object sh)
 na
) ;_ end of defun

Edited by VVA
mark red color
Link to comment
Share on other sites

Awesome! again, works great.

 

The only change, is that I would like to move the polyline down at the beginning of the ";;;Scaled, Rotated and Hatched see post" routine (Before rotating and hatching the shapes).

 

To do this, I tried the following, but it still doesn't work. Can you show me what I am doing wrong?

 

Instead of using "(princ (abs (- minY Sheigth)) cFile)", I rewrote this to capture the distance using the variable downshift as shown:

 

(setq downshift (abs (- minY Sheigth)))

(princ downshift cFile)

 

Then just after:

";;;Scaled, Rotated and Hatched see post

;;; http://www. ........ "

I wrote the following:

 

(command "_.move" ss "" "_non" '(0. 0. 0.) "_non" '(0. downshift 0.))

 

I was hoping that this would move the shapes down before rotating and hatching, but it didn't move.

 

What am I doing wrong?

Thanks,

JoshKing

Link to comment
Share on other sites

Thanks SLW210, I was wondering how you guys did that. Sorry VVA for the confusion, and poor postings. See code below, the changes I made (to #61) are highlighted in Red:

 

;;; Code generously written by VVA in an attempt to help a Newbie

(defun C:TEST (/ *error* Spacing anglestep item polyline ss lst filPath
              pat cFile downshift)
 (vl-load-com)
 (defun *error* (msg)
   (princ msg)
   (vla-endundomark
     (vla-get-activedocument (vlax-get-acad-object))
   ) ;_ end of vla-endundomark
   (princ)
 ) ;_ end of defun
 (setq Spacing 0.01875) ;_Spacing" field I would type in 0.01875
 (setq Sheigth 0.05) ;_spefified height is .0500
 (or *ptcol:SEPARATE*
;;;SEPARATE COORDINATES FLAG
     (setq *ptcol:SEPARATE* "X")
 ) ;_ end of or
 (setvar "LUNITS" 2)
 (setvar "LUPREC" 4)
 (vla-startundomark
   (vla-get-activedocument (vlax-get-acad-object))
 ) ;_ end of vla-startundomark
 (while (> (getvar "CMDACTIVE") 0) (command))
 (sssetfirst nil nil)
;;; SELECT POLYLINE
 (if (setq ss (ssget "_:L" '((0 . "LWPOLYLINE"))))
   (progn
;;;Cycle for each polyline and get coordinames 
     (setq lst  nil
           item '-1
     ) ;_ end of setq
     (repeat (sslength ss)
       (setq
         lst (cons
               (mapcar 'cdr
                       (vl-remove-if-not
                         '(lambda (x) (= (car x) 10))
                         (entget (ssname ss (setq item (1+ item))))
                       ) ;_ end of vl-remove-if-not
               ) ;_polyline vertex
               lst
             ) ;_ end of cons
       ) ;_ end of setq
     ) ;_ end of repeat
;;;lst=list of lists polyline vertex
;;;get lowes Y coordinate
     (setq
       minY (apply
              'min
              (cadr (apply 'mapcar (cons 'list (apply 'append lst))))
            ) ;_ end of apply
     ) ;_ end of setq
     
     ;(setq downshift (- 0 (abs (- minY Sheigth))))
[color="red"](setq downshift (abs (- minY Sheigth)))[/color] ;<-- Added this code to store distance, which is later used to move shapes down (Y direction)
[color="red"](princ downshift cFile)[/color]

     
;;;Save to text file
     (setq filPath
            (getfiled "Save Coordinates to Text File"
                      "Coordinates.txt"
                      "txt"
                      17
            ) ;_ end of getfiled
     ) ;_ end of setq
     (if (or (not (findfile filPath))
             (and (findfile filPath)
                  (vl-file-systime filPath)
             ) ;_ end of and
         ) ;_ end of or
       (progn
         (setq cFile (open filPath "w"))
;;; Print "moved -X.XXXX moved"
         (princ "moved " cFile)
         (princ downshift cFile)
         (princ " moved\n" cFile)
;;; Write coordinate to file
         (setq
           lst (mapcar '(lambda (x)
                          (mapcar '(lambda (y) (mapcar 'rtos y)) x)
                        ) ;_ end of lambda
                       lst
               ) ;_ end of mapcar
         ) ;_ end of setq
         (mapcar
           '(lambda (poly)
              (foreach ln poly
                (write-line
                  (apply 'strcat
                         (append (list (car ln))
                                 (mapcar '(lambda (x) (strcat "," x))
                                         (cdr ln)
                                 ) ;_ end of mapcar
                         ) ;_ end of append
                  ) ;_ end of apply
                  cFile
                ) ;_ end of write-line
              ) ;_ end of foreach
            ) ;_ end of lambda
           (if (eq *ptcol:SEPARATE* "")
             lst
             (mapcar
               '(lambda (x) (append x (list (list *ptcol:SEPARATE*))))
               lst
             ) ;_ end of mapcar
           ) ;_ end of if
         ) ;_ end of mapcar
         (close cFile)
         (initget "Yes No")
         (setq oFlag (getkword "\nOpen text file? [Yes/No] <No> : "
                     ) ;_ end of getkword
         ) ;_ end of setq
         (if (= oFlag "Yes")
;;; (startapp "notepad.exe" filPath)
           (vva-xopen filPath)
         ) ;_ end of if
       ) ;_ end of progn
       (alert (strcat "Do not open" "\n" filPath))
     ) ;_ end of if
;;;move the polyline down
     (command "_.MOVE" ss "" (list 0 downshift 0) "")
;;;Scaled, Rotated and Hatched see post
;;; http://www.cadtutor.net/forum/showthread.php?31653-Lisp-coordinates-of-points-to-excel-sheet-(-point-number)&p=465372&viewfull=1#post465372

[color="red"](command "_.move" ss "" "_non" '(0. 0. 0.) "_non" '(0. downshift 0.))[/color] ; <-- An attempt to move all polyline shapes towards origin (Y coordinate) before rotating/scaling/and hatching
     
     (setq anglestep (/
                       (* 0.5 pi) ;_90 degree
                       (1- (sslength ss)) ;_number of selected polylines -1
                     ) ;_ end of /
     ) ;_ end of setq
;_1. Scale all geometry by 25.4 from the origin (0,0) to convert from inches to millimeters
     (command "_.SCALE" ss "" '(0. 0.) ;_origin (0,0)
              25.4 ;_ convert from inches to millimeters
) ;_ end of command
;_2. Rotate all shapes by -90 degrees from origin (0,0)
     (command "_.Rotate" "_p" "" '(0. 0.) ;_origin (0,0)
              "-90") ;_ end of command
     (while (> (getvar "CMDACTIVE") 0) (command))
     (setq item '-1)
     (repeat (sslength ss) ;_ cycle for each polyline
       (setq polyline (ssname ss (setq item (1+ item))))
       (entmakex-hatch
         (list
           (mapcar 'cdr
                   (vl-remove-if-not
                     '(lambda (x) (= (car x) 10))
                     (entget polyline)
                   ) ;_ end of vl-remove-if-not
           ) ;_polyline vertex
         ) ;_ end of list
         (* item anglestep) ;_angle in radians
         "_USER" ;_User Defined pattern
         Spacing ;_Spacing" field I would type in 0.01875
       ) ;_ end of entmakex-hatch
     ) ;_ end repeat
     (command "_.Zoom" "_O" ss "")
;_4. Once completed, if it is possible to delete the polylines and keep only the hatches, that would be awesome.
     (command "_.ERASE" ss "")
   ) ;_ end of progn
 ) ;_ end of if
 (vla-endundomark
   (vla-get-activedocument (vlax-get-acad-object))
 ) ;_ end of vla-endundomark
 (princ)
) ;_ end of defun
(princ "\nType TEST in command line")

(defun entmakex-hatch (L a n s)
 ;; By ElpanovEvgeniy
 ;; L - list of list point. like ((pt11 pt12 pt13)(pt21 pt22 pt23))
 ;; A - angle hatch
 ;; N - name pattern
 ;; S - scale
 ;; returne - hatch ename
 ;;USE
 ;|
(entmakex-hatch '(((538.794 584.563) (895.629 584.563) (895.629 997.377) (538.794 997.377))
                 ((386.809 345.13) (670.955 345.13) (670.955 855.369) (386.809 855.369))
                )
               (/ pi 2)
               "ANSI31"
               2.
) ;_  entmakex-hatch
(entmakex-hatch
(list
 (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget (car (entsel "\nSelect Polyline:")))))
) ;_  list
(/ pi 2)
"SOLID"
2.
)
(entmakex-hatch
(list
 (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget (car (entsel "\nSelect Polyline:")))))
) ;_  list
(/ pi 2)
"_USER" ;_User Defined
2.
)
(entmakex-hatch
(list
 (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget (car (entsel "\nSelect Polyline:")))))
) ;_  list
(/ pi 2)
"ANSI32"
2.
)
|;
 (entmakex
   (apply
     'append
     (list
       (list '(0 . "HATCH")
             '(100 . "AcDbEntity")
             '(410 . "Model")
             '(100 . "AcDbHatch")
             '(10 0.0 0.0 0.0)
             '(210 0.0 0.0 1.0)
             (cons 2 n)
             (if (= n "SOLID")
               '(70 . 1)
               '(70 . 0)
             ) ;_  if
             '(71 . 0)
             (cons 91 (length l))
       ) ;_  list
       (apply
         'append
         (mapcar '(lambda (a)
                    (apply 'append
                           (list (list '(92 . 7)
                                       '(72 . 0)
                                       '(73 . 1)
                                       (cons 93 (length a))
                                 ) ;_ end of list
                                 (mapcar '(lambda (b) (cons 10 b)) a)
                                 '((97 . 0))
                           ) ;_  list
                    ) ;_  apply
                  ) ;_  lambda
                 l
         ) ;_  mapcar
       ) ;_  apply
       (if (= n "SOLID")
         (list '(75 . 0) '(76 . 1) '(47 . 1.) '(98 . 2) '(10 0. 0. 0.0)
               '(10 0. 0. 0.0) '(450 . 0) '(451 . 0) '(460 . 0.0) '(461 . 0.0)
               '(452 . 0) '(462 . 0.0) '(453 . 2) '(463 . 0.0) '(63 . 256)
               '(463 . 1.0) '(63 . 256) '(470 . "LINEAR")) ;_ end of list
;_  list
         (list '(75 . 0)
               '(76 . 1)
               (cons 52 a)
               (cons 41 s)
               '(77 . 0)
               '(78 . 1)
               (cons 53 a)
               '(43 . 0.)
               '(44 . 0.)
               '(45 . 1.)
               '(46 . 1.)
               '(79 . 0)
               '(47 . 1.)
               '(98 . 2)
               '(10 0. 0. 0.0)
               '(10 0. 0. 0.0)
               '(470 . "LINEAR")
         ) ;_  list
       ) ;_ end of if
     ) ;_  list
   ) ;_  apply
 ) ;_  entmakex
) ;_  defun
(defun vva-xopen (name / di na sh)
 ;; get from Patrick_35
 ;; http://www.theswamp.org/index.php?topic=29548.0 
;;;Usage 
;;;(setq my_file (vva-xopen "c:/test.txt")) 
;;;(setq my_file (vva-xopen "c:/test.avi")) 
;;;(setq my_file (vva-xopen "c:/test.3gp")) 

 (and (setq name (findfile name))
      (setq sh (vlax-create-object "Shell.Application"))
      (setq di (vlax-invoke sh 'Namespace (vl-filename-directory name)))
      (setq na (vlax-invoke
                 di
                 'parsename
                 (strcat (vl-filename-base name)
                         (vl-filename-extension name)
                 ) ;_ end of strcat
               ) ;_ end of vlax-invoke
      ) ;_ end of setq
      (vlax-invoke-method na 'invokeverbex "open")
 ) ;_ end of and
 (vlax-release-object sh)
 na
) ;_ end of defun

 

 

Thanks,

JoshKing

Link to comment
Share on other sites

JoshKing, perhaps my post in # 63 can be interpreted in two ways. I would say that the corrected code in # 61. Try to copy it again. Added / corrected line highlighted in red

Link to comment
Share on other sites

Oh, that's what you meant.

 

Funny, I read your response and then read the response from SLW210, and thought that he was helping to clarify that you wanted me to resend my version of the original code you wrote in post #61 using the code wrap (#). (So that it would make more sense what I had done).

 

Now I see that you were already two steps ahead of me, and what you meant, is that you had already updated the code in post #61 with the additional movement.

 

Thank you so much for all of your help VVA! You're skills are amazing :D

 

JoshKing

Link to comment
Share on other sites

  • 4 months later...
stevesfr

you use what version MS OFFICE? (I did not test with Office 2007)

In any case I have a little changed programs. Now it is possible to keep in a text file csv or txt a format.

 

If option Excell does not work, try option Text file (csv a format) and to answer "YES" inquiry "Open text file? [Yes/No] :"

 

Commands:

COOR - export of coordinates

COORN-export of coordinates with numbering. Numbers of points are drawn by the text on the current layer, the current style, current height (TEXTSIZE)

COORT-export of coordinates with numbering where number considers the text nearest to a point

CoorNP-Coordinates + Numbers + Points. Draw points with current value of PDMODE and PDSIZE

COORNB - CoorNB-Coordinates + Block (Numbers + Points)

 

Rev5. - added option "Settings" where you can adjust the offset of the text, the text height and the separators

Rev6. - added suffix and prefix

 

This lisp is excelent and helped me a lot today, but I also need to import the distance between points into an Excel sheet. So I've been typing manually each distance the whole day.

 

If is not too much trouble, could someone help me to update this .LSP and import the distances between the points of my polylines and put it next to the coordinates in the excel sheet, please?

 

I 'd really apreciate this, because I have to do this with 442 polylines )=

Link to comment
Share on other sites

  • 3 months later...
  • 2 months later...

So, first off, I have to say that VVA's ECoorE.lsp is amazing. I just have a few questions/concerns about its functionality. Please help me with this if it's at all possible.

 

1. My Assigned origin is at the top right corner of a panel and the coordinates go into Quadrant 3 (both values negative). Where can I add a line or adjust a command with (abs so the values given are absolute values.

 

2. How does the circle numbering system work? I have 173 circles in my drawing that need dimensioned, but it looks like it just selects them and numbers them at random. Is there a way that the holes can be numbered Left to Right, Top to bottom like this, for example:

 

1 2 3 4

5 6 7

8 9 10 11

....etc...

 

The numbering really helps, but having them in an order like that would help greatly.

 

3. Is there a way to get rid of the Z-column on the spreadsheet?

 

Again, awesome program and thanks a million in advance for any help you can give!

Link to comment
Share on other sites

Hi flyngyunkie, alternatively you can try another program

http://www.cadtutor.net/forum/showthread.php?45434-Export-coordinates-(both-Geodetic-and-Mathematical)&p=307518#post307518

On the first question, especially today added a choice of coordinates. You create user, that all were positive, and then export

On the second question, there are all kinds of sorting

Link to comment
Share on other sites

Geo, thanks for the suggestion. I need the drawing to export to Excel. Anything you can suggest with your program with regards to that?

Link to comment
Share on other sites

I need the drawing to export to Excel. Anything you can suggest with your program with regards to that?

When exporting to TXT point-separator (comma), and then changed in the resulting file extension to CSV and then it opens Excel

 

p.s. In the latter remarked that ordinary users was not so easy to change the file extension, if there will be a problem with that, I can add to the ability to save directly to CVS

Link to comment
Share on other sites

  • 4 weeks later...
  • 1 month later...
So, first off, I have to say that VVA's ECoorE.lsp is amazing. I just have a few questions/concerns about its functionality. Please help me with this if it's at all possible.

 

1. My Assigned origin is at the top right corner of a panel and the coordinates go into Quadrant 3 (both values negative). Where can I add a line or adjust a command with (abs so the values given are absolute values.

 

2. How does the circle numbering system work? I have 173 circles in my drawing that need dimensioned, but it looks like it just selects them and numbers them at random. Is there a way that the holes can be numbered Left to Right, Top to bottom like this, for example:

 

1 2 3 4

5 6 7

8 9 10 11

....etc...

 

The numbering really helps, but having them in an order like that would help greatly.

 

3. Is there a way to get rid of the Z-column on the spreadsheet?

 

Again, awesome program and thanks a million in advance for any help you can give!

the export circles instead of the Z written diameter

ECoorE_RamirezV2.LSP

Link to comment
Share on other sites

  • 1 month later...

Still Need a fix in the situetion; I got a Lot of polys each one with your layername.

 

When select all and output to txt, no show each layername of each coordenate!!

 

In the discripition tells that can be do it, but i try anyway and nothing. here the comment "COORN-export of coordinates with numbering. Numbers of points are drawn by the text on the current layer, the current style, current height (TEXTSIZE)

 

Can someaone help!

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...